Create responsibilityCenter
Create a responsibilityCenter object in Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
POST {businesscentralPrefix}/companies({id})/responsibilityCentersWebCon
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body
In the request body, supply a JSON representation of responsibilityCenterWebCon object.
Response
If successful, this method returns 201 Created response code and a responsibilityCenter object in the response body.
Example
Request
Here is an example of a request.
POST https://{businesscentralPrefix}/companies({id})/responsibilityCentersWebCon
Content-type: application/json
{
"address": "Musterweg 1",
"city": "München",
"postCode": "80331",
"code": "MUNICH",
"name": "München"
}
Response
Here is an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
{
"id": "555d9251-c848-ee11-a0d4-dd2d6fabfb3e",
"address": "Musterweg 1",
"address2": "",
"city": "München",
"countryRegionCode": "",
"eMail": "",
"name2": "",
"postCode": "80331",
"contact": "",
"code": "MUNICH",
"name": "München"
}